package com.hzya.frame.sys.org.dao;

import com.hzya.frame.sys.org.entity.Org;
import java.util.List;

/**
 * @description: 组织机构管理  dao
 * @tableName: sys_org
 * @entityName: Org
 * @author: gjh
 * @history: 1.0
 */
public interface IOrgMapper {

        //通过ID获取数据    entity_get
        Org entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<Org> entity_list_base(Org entity);

        //  查询符合条件的数量
        Integer entity_count(Org entity);

        //分页查询列表 采用like格式 entity_list_like
        List<Org> entity_list_like(Org entity);

        //查询列表 字段采用or格式   entity_list_or
        List<Org> entity_list_or(Org entity);

        //新增  entity_insert
        Org entity_insert(Org entity);

        //修改  entity_update
        Integer entity_update(Org entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(Org entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(Org entity);

        //物理删除
        Integer entity_delete(Org entity);


}
